- Qt 5.15
- Qt Quick 3D
- QML Types
- SetUniformValue QML Type
- Qt Quick 3D | Commercial or GPLv3

# SetUniformValue QML Type

Defines a value to be set during a single pass. More...

Import Statement: | import QtQuick3D 1.15
Since: | Qt 5.15
Inherits: | Command

- List of all members, including inherited members

## Properties

- target : string
- value : Variant

## Detailed Description

Note: The value set by this command is will only be set during the pass it occurs in. For consecutive passes the value will be revert to the initial value of the uniform as it was defined in the effect or custom material item.

## Property Documentation

target : string

Specifies the name of the uniform that will have its value changed during the pass.

value : Variant

Specifies the value that will be set on the `target` uniform.